Subject: Fwd: I wonder what is being going on

From: shyam bandyopadhyay <[email-masked]>
Date: Mon, 11 Mar 2019 23:13:51 +0700

Dear Area Director,
Routing Working Group,
IETF

I am writing to with the intention to resolve the conflict
between draft-shyam-site-multi and RFC 8028,
RFC 8043 and draft-ietf-rtgwg-pa-multihoming.

I had raised the issue to IESG and IAB earlier.
Recently IAB has released a report as a reply to my input.
I am quoting IAB's response and attaching the file of IAB response
as well.

IAB report states:

On point 2, the IAB understands from a review of the datatracker that the
documents are still under review for publication by the ISE. The IAB does
not direct the ISE to publish specific documents; the stream’s editorial
independence is its key feature. If the ISE does publish the documents, the
IAB believes it will join a longer conversation on the topic of source
address based routing, and that this would not normally imply any change of
status of RFC 8028 or other documents that form part of that conversation.
Other relevant work includes RFC 1970, RFC 2461, RFC 4861, RFC 5533, RFC
7048, and any number of related working group discussions.

This is just a statement with over simplification
without getting into the details of solution for
site multihoming.

The term 'source address based routing' is nothing new,
but how it is supposed to be used to solve what kind of
problem is the matter of concern.

Traditionally routing is based on destination address
and there are multiple protocols like RIP, BGP, OSPF
and each has got its own flavor and use.

Documents like RFC 1970, RFC 2461, might have used the term
'source address based routing', but none of them
specified how it is to be used to solve the problem
of site multihoming. Otherwise, what is the use of writing
another document like RFC 8028?

Let me describe once again how draft-shyam-site-multi
has tackled the issue of routing associated with site
multihoming:

It is neither completely 'source address based routing'
nor completely 'destination address based routing',
but it is the combination of both.

1. To communicate from one host to another within the
same customer site, it is traditional 'destination
address based routing'.

2. To communicate from a host of one customer site to a
host of another customer site, it is neither completely
'source address based routing' nor completely 'destination
address based routing'. To achieve this with only 'source
address based routing' or only with 'destination
address based routing', it requires the routing table
of the entire world to be brought in, which is a
very costly approach. To solve this issue it uses 'source
address based routing' from the source host to the customer
edge router of that customer site and from CE router of
first customer site to the destination host using 'destination
address based routing'. In short it is described as 'default
routing based on source domain of the source address of
the outgoing traffic'.

This unique solution was first introduced in
section 2.4.1 of draft-shyam-mshn-ipv6-07.txt (from
which draft-shyam-site-multi was derived). RFC 8028 just
elaborates this solution. RFC 8043 and draft-ietf-rtgwg-pa
-multihoming are also based on the same solution.

I would request IETF to show me a document where
this solution was provided earlier. If any such
document exists, I withdraw everything that I claim.
Otherwise, I would request IETF to revoke RFC 8028,
RFC 8043 and draft-ietf-rtgwg-pa-multihoming. They can
be reproduced by making a reference to
draft-shyam-site-multi showing what they are trying to
achieve on top of whatever has already been stated in
draft-shyam-site-multi. This is how contribution of
the contributors of RFC 8028, RFC 8043
and draft-ietf-rtgwg-pa-multihoming will be properly
evaluated.
Thanks and regards,
Shyam

---------- Forwarded message ---------
From: Alissa Cooper <[email-masked]>
Date: Fri, Mar 8, 2019 at 2:05 AM
Subject: Re: I wonder what is being going on
To: shyam bandyopadhyay <[email-masked]>
Cc: <[email-masked]>, Adrian Farrel <[email-masked]>, <
[email-masked]>

Hi Shyam,

Please direct your comments to [email-masked].

Thanks,
Alissa

> On Feb 25, 2019, at 8:27 PM, shyam bandyopadhyay <[email-masked]>
wrote:
>
> Hi Alissa,
>
> I am writing to you as I am not fully
> aware of the process of publication of a RFC.
>
> There was a last call review date on 02-19-2019 for
> draft-ietf-rtgwg-enterprise-pa-multihoming.
>
> I have said many times earlier that the
> basic principle based on which RFC 8028, RFC 8043
> and draft-ietf-rtgwg-enterprise-pa-multihoming
>  are written, i. e. "default routing based on
> source address of outgoing packets" was first
> introduced on draft-shyam-site-multi.
>
> I had written earlier to AD Mr. Martin Vigoureux that
> draft-ietf-rtgwg-enterprise-pa-multihoming
> should make a reference to draft-shyam-site-multi
> with an illustration what it is being trying to
> achieve on top of whatever has already been stated on
> draft-shyam-site-multi.
>
> Output of the review from Mr. Nicolai Leymann
> shows no major or minor issues found and the
> draft can be published with some minor editing.
>
> I get a feel that Mr. Nicolai Leymann is not
> aware of the existence of draft-shyam-site-multi.
>
> So, I would request the reviewer to go through
> draft-shyam-site-multi and suggest necessary changes
> required based on my input.
>
> By the way, IETF should consider publishing
> draft-shyam-site-multi prior to publishing
> documents that are dependent on draft-shyam-site-multi.
>
> Thanks and regards,
> Shyam

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 11 Mar 2019 16:30:29 +0000

Maybe this?

https://tools.ietf.org/html/draft-huitema-multi6-hosts-02#section-4.2

All the best,

Pascal

From: rtgwg <[email-masked]> On Behalf Of shyam bandyopadhyay
Sent: lundi 11 mars 2019 17:14
To: [email-masked]
Cc: Alissa Cooper <[email-masked]>
Subject: Fwd: I wonder what is being going on

Dear Area Director,
Routing Working Group,
IETF

IAB report states:

On point 2, the IAB understands from a review of the datatracker that the documents are still under review for publication by the ISE. The IAB does not direct the ISE to publish specific documents; the stream’s editorial independence is its key feature. If the ISE does publish the documents, the IAB believes it will join a longer conversation on the topic of source address based routing, and that this would not normally imply any change of status of RFC 8028 or other documents that form part of that conversation. Other relevant work includes RFC 1970, RFC 2461, RFC 4861, RFC 5533, RFC 7048, and any number of related working group discussions.

---------- Forwarded message ---------
From: Alissa Cooper <[email-masked]<mailto:[email-masked]>>
Date: Fri, Mar 8, 2019 at 2:05 AM
Subject: Re: I wonder what is being going on
To: shyam bandyopadhyay <[email-masked]<mailto:[email-masked]>>
Cc: <[email-masked]<mailto:[email-masked]>>, Adrian Farrel <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>

Hi Shyam,

Please direct your comments to [email-masked]<mailto:[email-masked]>.

Thanks,
Alissa

> On Feb 25, 2019, at 8:27 PM, shyam bandyopadhyay <[email-masked]<mailto:[email-masked]>> wrote:
>
> Hi Alissa,
>

---

From: shyam bandyopadhyay <[email-masked]>
Date: Tue, 12 Mar 2019 22:33:00 +0700

I was not aware of this document.
I wonder why this draft was not published as a RFC?
On top of that none of the documents e.g. RFC 8028,
RFC 8043 and draft-ietf-rtgwg-enterprise-pa-multihoming makes a reference
to this draft.

Thanks,
Shyam

On Monday, March 11, 2019, Pascal Thubert (pthubert) <[email-masked]>
wrote:

> *From:* rtgwg <[email-masked]> *On Behalf Of * shyam bandyopadhyay
> *Sent:* lundi 11 mars 2019 17:14
> *To:* [email-masked]
> *Cc:* Alissa Cooper <[email-masked]>
> *Subject:* Fwd: I wonder what is being going on
>
>
>
>
> Dear Area Director,
>
> Routing Working Group,
>
> IETF
>
>
>
> From: *Alissa Cooper* <[email-masked]>
> Cc: <[email-masked]>, Adrian Farrel <[email-masked]>,
> <[email-masked] <[email-masked]>>
>
>
>
> Hi Shyam,
>

---

From: Fred Baker <[email-masked]>
Date: Wed, 13 Mar 2019 11:31:01 +0900

>  introduced on draft-shyam-site-multi.

Speaking for myself, having the position of a co-author on two of the documents you mention.

I have not inserted a reference into the documents for the simple reason that I was unaware of draft-shyam-site-multi and my thinking didn't depend on it. When I insert a reference into a paper, it's not in the academic sense in which one lists all possible mention of a topic and comments to associate with it or differentiate from it; I refer to a document to help explain some aspect of my thinking, or to lead a reader to some other technology that my thinking depends on. To give an example in the context of another paper, I mention that someone should validate a DNSSEC signature at some point, and I refer to RFC 4035 because it discusses what that means and how one goes about it.

The earliest mention of source-dependent routing that I know of is academic work done by Marcelo Bagnulo at (I believe) the University of Madrid, in Spain.

I'm sorry if that is offensive; for my part, it is pragmatic. I'm not writing a thesis, I'm writing a specification. I don't pretend to know everything. I do try to state clearly what I mean when I write something, and give my readers the references they need to understand and use it.

---

From: William Atwood <[email-masked]>
Date: Tue, 12 Mar 2019 23:03:16 -0400

Shyam,

Specifically:

Marcelo Bagnulo, Alberto Garcia-Martinez, Juan Rodriguez, and Arturo
Azcorra, "The Case for Source Address Dependent Routing in Multihoming",
International Workshop on Quality of Future Internet Services (QofIS
2004), Lecture Notes in Computer Science (LNCS, volume 3266).

The authors were at Universidad Carlos III de Madrid, Leganes, Madrid,
Spain at the time of writing.

This was published in 2004, so your claim to be the first one to put
forth this idea is incorrect.

However, as Fred says, RFC citations are based on "need to know", not
academic precedence.

  Bill Atwood

On 12/03/2019 10:31 p.m., Fred Baker wrote:
> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg
> 

-- 

Dr. J.W. Atwood, Eng.             tel:   +1 (514) 848-2424 x3046
Distinguished Professor Emeritus  fax:   +1 (514) 848-2830
Department of Computer Science
   and Software Engineering
Concordia University EV 3.185     email:[email-masked]
1455 de Maisonneuve Blvd. West    http://users.encs.concordia.ca/~bill
Montreal, Quebec Canada H3G 1M8

---

From: Mark Smith <[email-masked]>
Date: Wed, 13 Mar 2019 16:01:45 +1100

> forth this idea is incorrect.

"Policy Based Routing", which allowed creating static forwarding policies
based on packet attributes other than the destination address, was a
capability commercially available from one of the big router vendors
earlier than that.

For example, in 1999 I deployed PBR at a large hospital which selected the
site egress link based on packet source address.

I'm pretty sure Linux gained those sorts of capabilities in version 2.2.0,
released in 1999. In 2001 or 2002 I used ingress source addresses to select
the egress interface for response packets on a multihomed Linux host.

Using a source address and possibly other packet attributes, other than the
destination address, to make forwarding decisions is an old idea.

Regards,
Mark.

> > I have not inserted a reference into the documents for the simple reason
> that I was unaware of draft-shyam-site-multi and my thinking didn't depend
> on it. When I insert a reference into a paper, it's not in the academic
> sense in which one lists all possible mention of a topic and comments to
> associate with it or differentiate from it; I refer to a document to help
> explain some aspect of my thinking, or to lead a reader to some other
> technology that my thinking depends on. To give an example in the context
> of another paper, I mention that someone should validate a DNSSEC signature
> at some point, and I refer to RFC 4035 because it discusses what that means
> and how one goes about it.
> >
> > The earliest mention of source-dependent routing that I know of is
> academic work done by Marcelo Bagnulo at (I believe) the University of
> Madrid, in Spain.
> >
> > I'm sorry if that is offensive; for my part, it is pragmatic. I'm not
> writing a thesis, I'm writing a specification. I don't pretend to know
> everything. I do try to state clearly what I mean when I write something,
> and give my readers the references they need to understand and use it.
> >
> >

---

From: Mark Smith <[email-masked]>
Date: Wed, 13 Mar 2019 16:39:42 +1100

> forth this idea is incorrect.

So quite a while before 2004 there was a capability to perform "policy
based routing" (PBR) available on at least one of the major routing
vendors implementations. It could use the IP packet source address as
a criteria to select a forwarding behaviour. For example, in 1999, I
deployed PBR at a major hospital to select one of 3 site egress links,
using IP source address as the selection critiera.

The Linux kernel version 2.2.0, released in 1999, also gained these
sorts of capabilities - the "iproute2" utilities are the interface to
them.

If the claimed invention is using source addresses as a forwarding
input, then RFC2991, "Multipath Issues in Unicast and Multicast
Next-Hop Selection", from 2000, which suggests using the packet source
address as one of the inputs for link selection when ECMP, would also
be an earlier example,

It's an old idea.

Regards,
Mark.

---

From: "Azinger, Marla" <[email-masked]>
Date: Wed, 13 Mar 2019 16:21:47 +0000

A reference list is not an exhaustive list of possible related documents.   It's only made from the most pertinent items referenced based on the author/s analysis.   And if an item was never referenced in the creation of the document, it's 99% sure not to be listed in the reference.

A reference list is not meant to be all inclusive.

If you are looking to get your document referenced more frequently, you can actively watch for draft documents and find the ones your document might influence and contact the author/s.   Yet this still might not guarantee a reference listing if the list they already have is good enough as it is.

-----Original Message-----
From: rtgwg <[email-masked]> On Behalf Of Fred Baker
Sent: Tuesday, March 12, 2019 7:31 PM
To: shyam bandyopadhyay <[email-masked]>
Cc: Alissa Cooper <[email-masked]>; [email-masked]
Subject: Re: I wonder what is being going on

________________________________
WARNING: External email. Please verify sender before opening attachments or clicking on links.
________________________________

On Mar 12, 2019, at 1:13 AM, shyam bandyopadhyay <[email-masked]> wrote:
>  I have said many times earlier that the  basic principle based on
> which RFC 8028, RFC 8043  and
>  are written, i. e. "default routing based on  source address of
> outgoing packets" was first  introduced on draft-shyam-site-multi.

________________________________

This communication is confidential. Frontier only sends and receives email on the basis of the terms set out at http://www.frontier.com/email_disclaimer.